library(ggplot2)

#faili sisselugemine ja andmete formaadi korrigeerimine
J311=read.csv2("PT3-T3.1-J3.1.1.csv",header=TRUE, encoding ="UTF-8")
J311$Osakaal=as.numeric(J311$Osakaal)
J311$Aasta=as.factor(J311$Aasta)



#joonis
ggplot(J311)+
  facet_grid(~Sugu)+
  geom_col(aes(x=Aasta,y=Osakaal,fill=Family_structure))+
  theme_minimal()+
  scale_fill_manual(values=c("#38bf7b","#6666cc","#e0e8d6","#8fa300","#81DBFE","#1E272E"))+ #Et anda ette terve vektor värve, on vaja lisada eraldi funktsioon. Siin on vaja sätida "täidet" (filli), seega scale_fill_manual
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(strip.text.x=element_text(color="#668080"))+
  theme(legend.position = "bottom")+
  ylab("%")+
  xlab("")






